Subject: diff --minimal versus --diff-algorithm=minimal

From: Дилян Палаузов <[email-masked]>
Date: Wed, 25 Nov 2015 19:21:50 +0100

Hello,

after I put in ~/.config/git "[diff] algorithm=histogram", and called 
"git diff --minimal" I expect from git to use algorithm=minimal.  But it 
uses histogram, unless I call "--diff-algorithm=minimal".  According to 
the documentation, however, --minimal and --diff-algorithm=minimal shall 
be equivalent.

By the way, histogram produces more compact output than minimal (in 
terms of number of lines and in terms of @@ ... @@ snippets), but the 
documentation suggests, that minimal produces the most compact form that 
can be achieved.

I use git version 2.6.3.385.g1bc8fea.

Greetings
   Дилян